Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.heckmansoft.surjey.model.datastore
Class SurveyDatastore

    java.lang.Object
      com.heckmansoft.surjey.model.datastore.Datastore
          com.heckmansoft.surjey.model.datastore.SurveyDatastore

Direct Known Subclasses:
  SurveyManager

public class SurveyDatastore
extends Datastore

Manages object-relational mapping for Survey objects.

Constructor Summary
`SurveyDatastore()` Constructor.

Method Summary
`protected Survey` | `createSurvey()` Create a new survey.
`protected ValueObject` | `extract(java.sql.ResultSet results)` Extract an object from the given result set.
`Survey` | `findById(java.lang.String id)` Finds a particular survey.
`protected java.util.List` | `getArgs(ValueObject vo)` From the given object, get a list of arguments to use for constructing a query or update.

Methods inherited from class com.heckmansoft.surjey.model.datastore.Datastore
`executeDelete, executeInsert, executeUpdate, extract, extractList, extractSingle, findAll, generateDeleteSQL, generateInsertSQL, generateSelectSQL, generateUpdateSQL, getConnection, getTransaction, insert, insert, populateStatement, remove, remove, remove, selectAll, selectById, selectWhere, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurveyDatastore

    public SurveyDatastore()

  Constructor.

Method Detail

### findById

    public Survey findById(java.lang.String id)
                    throws DatastoreException

  Finds a particular survey.

  Parameters:
    `id` - Id of the survey to find.
  Returns:
    A Survey instance, or null if no survey found
  Throws:
    `DatastoreException`

### getArgs

    protected java.util.List getArgs(ValueObject vo)

  From the given object, get a list of arguments to use for constructing a query or update.

  Overrides:
    `getArgs` in class `Datastore`
  Parameters:
    `vo` - Object containing data to use.
  Returns:
    A list of arguments.

### extract

    protected ValueObject extract(java.sql.ResultSet results)
                           throws DatastoreException

  Extract an object from the given result set.

  Overrides:
    `extract` in class `Datastore`
  Parameters:
    `results` - The result set.
  Returns:
    The newly extracted object.
  Throws:
    `DatastoreException`

### createSurvey

    protected Survey createSurvey()

  Create a new survey.

  Returns:
    newly created survey.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD